# Thurstylark Wiki Hugo Theme

The style and layout for [Thurstylark's Wiki](https://wiki.thurstylark.com/).

A fork of [risotto](https://github.com/joeroe/risotto).

## Install

The easiest way to install the theme is to clone this repository into your site's `themes` directory:

```shell
git clone https://git.thurstylark.com/thurstylark/tlwiki-hugo-theme.git themes/tlwiki
```

If your site is already a git repository, you can add the theme as a submodule instead:

```shell
git submodule add https://git.thurstylark.com/thurstylark/tlwiki-hugo-theme.git themes/tlwiki
```

## Configure

To use the theme, add `theme = tlwiki` to your site's `config.toml` or `config.yaml`.

See `exampleSite/config.toml` for the theme-specific parameters you need to add to your site's `config.toml` or `config.yaml` to configure the theme.

## Update

If you installed the theme using `git clone`, pull the repository to get the latest version:

```shell
cd themes/tlwiki
git pull
```

Or, if you added it as a git submodule:

```shell
git submodule update --remote
```

## License

See: [./LICENSE](./LICENSE)

TL;DR: MIT. go nuts.
